Current account
/v2/me
Target audience: Developers
Release version: 4.4.9
Get current account¶
Introduction¶
This endpoint returns the current account associated with the identity of the access token. Included in the response is information regarding the account and it's subscriptions. However, if you want to perform an access check to see what the customer is entitled to we recommend using Get active products.
URI¶
| Environment | URI |
|---|---|
| Stage | https://payway-api.stage.adeprimo.se/external/api/v2/me |
| Production | https://backend.worldoftulo.com/external/api/v2/me |
Requirements¶
| Identity | Scope |
|---|---|
| Yes | /external/me/w |
Curl Example¶
curl --request GET \
--url https://payway-api.stage.adeprimo.se/external/api/v2/me/ \
--header 'accept: application/json' \
--header 'authorization: Bearer <access_token_with_identity>'
Response¶
Example response¶
HTTP 200
{
"item": {
"id": "585a4768edce2c5e6f000001",
"email": "user@email.com",
"status": "created",
"verified": false,
"customer_number": "12345",
"first_name": "Kalle",
"last_name": "Anka",
"mobile_phone_number": "50460531",
"birth_date": "1980-06-10",
"social_security_number": "800610-8230",
"social_security_number_century": "198006108230",
"age": 40,
"gender": "M",
//gender available only when the social security number is known
"company_registration_number": null,
"alias": "Kalle123",
"account_origin": null,
"address": {
"first_name": "Kalle",
"last_name": "Anka",
"street": "The Streets",
"street_number": "12",
"staircase": "A",
"floor": "3",
"apartment_number": "13",
"zip_code": "83242",
"city": "Stockholm",
"drop_box": null
},
"user_products": [
{
"id": "585a4768edce2c5e6f000003",
"order_id": "ORGANISATION-1",
"created": "2016-12-21T10:12:08+01:00",
"updated": "2016-12-21T10:12:08+01:00",
"product_code": "package_code",
"title_code": "TITLE_CODE",
"valid_from": "2016-12-20T10:12:08+01:00",
"valid_to": "2016-12-22T10:12:08+01:00",
"provision_service": "tulo",
"subscription_type": "recurring",
"subscription_number": "12345",
"state": "activated",
"has_pending_change_request": false,
"campaign_end_date": null,
"subscription_end_date": "2016-12-22T10:12:08+01:00",
"external_start_date": "2016-12-20T10:12:08+01:00",
//external_start_date available only for Kayak provisioned subscriptions
"cancellation_info": null,
"deactivation_info": null
//see the User Product API for the content of cancellation_info and deactivation_info
}
],
"identity_mapping": [
{
"key": "Key 1",
"value": "Value 1"
},
{
"key": "Key 2",
"value": "Value 2"
}
],
"accepted_marketing_permissions": [
{
"id": "5ba4a64509c04c5ab4000001",
"type": "sms"
}
]
}
}
Errors¶
This API uses the common error conventions of the Payway API